浏览代码

shadow tests: count shadow failing as a test failing

Justin Tracey 1 年之前
父节点
当前提交
50750a35c3
共有 2 个文件被更改,包括 3 次插入5 次删除
  1. 2 3
      shadow/client/run.sh
  2. 1 2
      shadow/peer/run.sh

+ 2 - 3
shadow/client/run.sh

@@ -1,14 +1,13 @@
 #!/bin/bash
 
 rm -rf shadow.data/
-shadow --template-directory shadow.data.template shadow.yaml > shadow.log
+shadow --template-directory shadow.data.template shadow.yaml > shadow.log ;
+ret=$?
 
 declare -A groups
 groups[group1]="Alice Bob Carol"
 groups[group2]="Alice Bob Dave"
 
-ret=0
-
 check_one_log() {
     counts="$(grep -Ec "$1" shadow.data/hosts/*/*.stdout | cut -d: -f2 | sort -n)"
     if [[ $(echo "$counts" | tail -1) -lt $2 ]] ; then

+ 1 - 2
shadow/peer/run.sh

@@ -2,13 +2,12 @@
 
 rm -rf shadow.data/
 shadow --template-directory shadow.data.template shadow.yaml > shadow.log
+ret=$?
 
 declare -A groups
 groups[group1]="Alice Bob Carol"
 groups[group2]="Alice Bob Dave"
 
-ret=0
-
 check_one_log() {
     counts="$(grep -Ec "$1" shadow.data/hosts/*/*.stdout | cut -d: -f2 | sort -n)"
     if [[ $(echo "$counts" | tail -1) -lt $2 ]] ; then